Package org.alfresco.rest.model
Class RestTaskModel
java.lang.Object
org.alfresco.utility.model.TestModel
org.alfresco.utility.model.TaskModel
org.alfresco.rest.model.RestTaskModel
- All Implemented Interfaces:
IModelAssertion<RestTaskModel>,IRestModel<RestTaskModel>,org.alfresco.utility.model.Model
public class RestTaskModel
extends org.alfresco.utility.model.TaskModel
implements IRestModel<RestTaskModel>
Handles single Task JSON response Example: "entry": { "id": "string", "processId": "string", "processDefinitionId": "string", "activityDefinitionId": "string", "name": "string", "description": "string", "dueAt": "2016-10-11T09:53:02.549Z", "startedAt": "2016-10-11T09:53:02.549Z", "endedAt": "2016-10-11T09:53:02.549Z", "durationInMs": 0, "priority": 0, "owner": "string", "assignee": "string", "formResourceKey": "string", "state": "unclaimed", "variables": [ { "scope": "string", "name": "string", "value": 0, "type": "string" } ] }
- Author:
- Cristina Axinte
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptiongetName()getOwner()getState()onModel()voidsetActivityDefinitionId(String activityDefinitionId) voidsetDescription(String description) voidsetDurationInMs(Integer durationInMs) voidsetEndedAt(String endedAt) voidsetFormResourceKey(String formResourceKey) voidvoidsetPriorityTask(Integer priorityTask) voidsetProcessDefinitionId(String processDefinitionId) voidsetStartedAt(String startedAt) voidvoidsetVariables(RestVariableModelsCollection variables) Methods inherited from class org.alfresco.utility.model.TaskModel
getAssignee, getDueDate, getId, getMessage, getPriority, getProcessId, getSendEmail, setAssignee, setDueDate, setId, setMessage, setPriority, setProcessId, setSendEmailMethods inherited from class org.alfresco.utility.model.TestModel
setRandomValuesForAllFields, toInfo, toJson, toStringMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.alfresco.rest.core.assertion.IModelAssertion
and, assertThat
-
Constructor Details
-
RestTaskModel
public RestTaskModel()
-
-
Method Details
-
onModel
- Specified by:
onModelin interfaceIRestModel<RestTaskModel>
-
getVariables
-
setVariables
-
getProcessDefinitionId
-
setProcessDefinitionId
-
getActivityDefinitionId
-
setActivityDefinitionId
-
getName
-
setName
-
getStartedAt
-
setStartedAt
-
getEndedAt
-
setEndedAt
-
getDurationInMs
-
setDurationInMs
-
getOwner
-
getFormResourceKey
-
setFormResourceKey
-
getState
-
setState
-
getPriorityTask
-
setPriorityTask
-
getDescription
-
setDescription
-